aboutsummaryrefslogtreecommitdiff
path: root/basic.sh
diff options
context:
space:
mode:
Diffstat (limited to 'basic.sh')
-rw-r--r--basic.sh17
1 files changed, 4 insertions, 13 deletions
diff --git a/basic.sh b/basic.sh
index 0cb5186..91c49cd 100644
--- a/basic.sh
+++ b/basic.sh
@@ -25,21 +25,12 @@
# All methods operate on the file "$tmp".
-# Dictionaries in the VCS tree, GPL2 assumed.
-typeset -a vcs_langs
-vcs_langs=(
- deu-eng eng-deu
- fra-eng eng-fra
- spa-eng eng-spa
- )
-typeset -a wikdict_langs
-wikdict_langs=(
- fra-deu deu-fra
- )
+script_path="$(realpath "$0")"
+script_dir="${script_path%/*}"
+
+. "${script_dir}/config.sh" || exit 1
-typeset -a langs
-langs=( ${vcs_langs[@]} ${wikdict_langs[@]} )
function init
{